Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-28046

Error: No stapler-class is specified

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      I installed latest jenkins 1.610
      I installed Extensible Choice Parameter plugin 1.2.2.

      I created "Global Choice Parameter".
      I tried to use it in job "test" but when I save the job I see this error "No stapler-class is specified"

        Attachments

          Issue Links

            Activity

            Hide
            ikedam ikedam added a comment -

            Reproduced with Jenkins 1.610.
            The data submit was:

            			"parameterized": {
            				"parameter": {
            					"name": "test",
            					"description": "",
            					"": "2",
            					"choiceListProvider": {
            						"choiceListText": "a\nb\nc",
            						"defaultChoice": "###NODEFAULTCHOICE###",
            						"addEditedValue": false,
            						"whenToAdd": "Triggered",
            						"kind": ""
            					},
            					"editable": false,
            					"stapler-class": "jp.ikedam.jenkins.plugins.extensible_choice_parameter.ExtensibleChoiceParameterDefinition",
            					"$class": "jp.ikedam.jenkins.plugins.extensible_choice_parameter.ExtensibleChoiceParameterDefinition"
            				}
            			}
            

            There's no stapler-class or $class for choiceListProvider.
            This looks rather related to JENKINS-28011, which is a bug in Jenkins 1.610 and will be fixed in Jenkins 1.611.

            Show
            ikedam ikedam added a comment - Reproduced with Jenkins 1.610. The data submit was: "parameterized": { "parameter": { "name": "test", "description": "", "": "2", "choiceListProvider": { "choiceListText": "a\nb\nc", "defaultChoice": "###NODEFAULTCHOICE###", "addEditedValue": false, "whenToAdd": "Triggered", "kind": "" }, "editable": false, "stapler-class": "jp.ikedam.jenkins.plugins.extensible_choice_parameter.ExtensibleChoiceParameterDefinition", "$class": "jp.ikedam.jenkins.plugins.extensible_choice_parameter.ExtensibleChoiceParameterDefinition" } } There's no stapler-class or $class for choiceListProvider . This looks rather related to JENKINS-28011 , which is a bug in Jenkins 1.610 and will be fixed in Jenkins 1.611.
            Show
            ikedam ikedam added a comment - https://github.com/jenkinsci/extensible-choice-parameter-plugin/pull/12
            Hide
            danielbeck Daniel Beck added a comment -

            ikedam Did you test this with 1.611? It looks like nodejs remains broken, so maybe JENKINS-28011 did not fix related issues.

            Show
            danielbeck Daniel Beck added a comment - ikedam Did you test this with 1.611? It looks like nodejs remains broken, so maybe JENKINS-28011 did not fix related issues.
            Hide
            ikedam ikedam added a comment -

            Doesn't reproduce with Jenkins 1.611.

            JENKINS-28110 (Performance plugin) and JENKINS-28114 (Nodejs plugin) looks caused by overriding `Descriptor#getId`, which is not yet fixed in 1.611, and doesn't look affect extensible-choice-parameter.

            Show
            ikedam ikedam added a comment - Doesn't reproduce with Jenkins 1.611. JENKINS-28110 (Performance plugin) and JENKINS-28114 (Nodejs plugin) looks caused by overriding `Descriptor#getId`, which is not yet fixed in 1.611, and doesn't look affect extensible-choice-parameter.
            Hide
            danielbeck Daniel Beck added a comment -

            To clarify, this is resolved in 1.611? Or does this still require your PR to be applied?

            Show
            danielbeck Daniel Beck added a comment - To clarify, this is resolved in 1.611? Or does this still require your PR to be applied?
            Hide
            ikedam ikedam added a comment -

            Upgrading to Jenkins 1.611 resolves the problem.
            Downgrading to Jenkins 1.609 also resolves the problem.
            Above pull request is required to use extensible-choice-parameter with Jenkins 1.610.

            Show
            ikedam ikedam added a comment - Upgrading to Jenkins 1.611 resolves the problem. Downgrading to Jenkins 1.609 also resolves the problem. Above pull request is required to use extensible-choice-parameter with Jenkins 1.610.
            Hide
            scm_issue_link SCM/JIRA link daemon added a comment -

            Code changed in jenkins
            User: ikedam
            Path:
            src/main/java/jp/ikedam/jenkins/plugins/extensible_choice_parameter/ExtensibleChoiceParameterDefinition.java
            src/main/resources/jp/ikedam/jenkins/plugins/extensible_choice_parameter/ExtensibleChoiceParameterDefinition/config.jelly
            http://jenkins-ci.org/commit/extensible-choice-parameter-plugin/4273077469844aa67b65f9febca8e4781a6f0f9f
            Log:
            [FIXED JENKINS-28046]JENKINS-25403 Now uses f:dropdownDescriptorSelector, which is provided by Jenkins core. This avoids problem with Jenkins-1.610. / Now handles also $class not only stapler-class.

            Show
            scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: ikedam Path: src/main/java/jp/ikedam/jenkins/plugins/extensible_choice_parameter/ExtensibleChoiceParameterDefinition.java src/main/resources/jp/ikedam/jenkins/plugins/extensible_choice_parameter/ExtensibleChoiceParameterDefinition/config.jelly http://jenkins-ci.org/commit/extensible-choice-parameter-plugin/4273077469844aa67b65f9febca8e4781a6f0f9f Log: [FIXED JENKINS-28046] JENKINS-25403 Now uses f:dropdownDescriptorSelector, which is provided by Jenkins core. This avoids problem with Jenkins-1.610. / Now handles also $class not only stapler-class.
            Hide
            ikedam ikedam added a comment -

            Fixed with extensible-choice-provider 1.3.0.
            Please try that.

            I highly recommend you to upgrade your Jenkins to the latest one, as this is a problem only with Jenkins 1.610 and considered as a bug of Jenkins.

            Show
            ikedam ikedam added a comment - Fixed with extensible-choice-provider 1.3.0. Please try that. I highly recommend you to upgrade your Jenkins to the latest one, as this is a problem only with Jenkins 1.610 and considered as a bug of Jenkins.

              People

              • Assignee:
                ikedam ikedam
                Reporter:
                istankov85 Ivan Stankov
              • Votes:
                2 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: